## ros-humble-rcutils 5.1.3

=== debian/changelog ===
ros-humble-rcutils (5.1.3-1jammy) jammy; urgency=high

  * avoid unnecessary copy for rcutils_char_array_vsprintf. (#412 <https://github.com/ros2/rcutils/issues/412>) (#413 <https://github.com/ros2/rcutils/issues/413>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rcutils (5.1.2-1jammy) jammy; urgency=high

  * Change syntax __VAR_ARGS__ to __VA_ARGS__ (#376 <https://github.com/ros2/rcutils/issues/376>) (#377 <https://github.com/ros2/rcutils/issues/377>)
  * Clarify duration arg description in logging macros (#359 <https://github.com/ros2/rcutils/issues/359>) (#360 <https://github.com/ros2/rcutils/issues/360>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rcutils (5.1.1-1jammy) jammy; urgency=high

  * Update launch test for change related to enviroment variables in launch (#354 <https://github.com/ros2/rcutils/issues/354>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-rcutils (5.1.0-1jammy) jammy; urgency=high

  * Remove dst_size from strlen usage (#353 <https://github.com/ros2/rcutils/issues/353>)
  * Install headers to include${PROJECT_NAME} (#351 <https://github.com/ros2/rcutils/issues/351>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rcutils (5.0.1-1jammy) jammy; urgency=high

  * Use static_cast instead of C-style cast (#349 <https://github.com/ros2/rcutils/issues/349>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rcutils (5.0.0-1jammy) jammy; urgency=high

  * Fixing up documentation build when using rosdoc2 (#344 <https://github.com/ros2/rcutils/issues/344>)
  * Stop double-defining structs. (#333 <https://github.com/ros2/rcutils/issues/333>)
  * Use FindPython3 explicitly instead of FindPythonInterp implicitly (#345 <https://github.com/ros2/rcutils/issues/345>)
  * Fix build on Android (#342 <https://github.com/ros2/rcutils/issues/342>)
  * Deprecate get_env.h and move content to env.{h,c} (#340 <https://github.com/ros2/rcutils/issues/340>)
  * Contributors: Chris Lalancette, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 01 Nov 2021 00:00:00 -0000

ros-humble-rcutils (4.0.2-1jammy) jammy; urgency=high

  * Declare dependency on libatomic (#338 <https://github.com/ros2/rcutils/issues/338>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rcutils (4.0.1-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#335 <https://github.com/ros2/rcutils/issues/335>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rcutils (4.0.0-1jammy) jammy; urgency=high

  * Quiet down a warning in release mode. (#334 <https://github.com/ros2/rcutils/issues/334>)
  * Make the logging separate char an implementation detail. (#332 <https://github.com/ros2/rcutils/issues/332>)
  * Performance tests demo (#288 <https://github.com/ros2/rcutils/issues/288>)
  * Remove references of __xstat (#330 <https://github.com/ros2/rcutils/issues/330>)
  * Update the documentation to be more consistent. (#331 <https://github.com/ros2/rcutils/issues/331>)
  * Shorten some excessively long lines of CMake (#328 <https://github.com/ros2/rcutils/issues/328>)
  * qnx-support: include sys/link.h & avoid using dlinfo (#327 <https://github.com/ros2/rcutils/issues/327>)
  * QNX uses XSI-compliant (#326 <https://github.com/ros2/rcutils/issues/326>)
  * Contributors: Ahmed Sobhy, Chris Lalancette, Homalozoa X, Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rcutils (3.1.0-1jammy) jammy; urgency=high

  * Add an API for directory iteration (#323 <https://github.com/ros2/rcutils/issues/323>)
  * Fix a leak during error handling in dir size calculation (#324 <https://github.com/ros2/rcutils/issues/324>)
  * Fix rcutils_shared_library_t path on Windows. (#322 <https://github.com/ros2/rcutils/issues/322>)
  * Check linker flags instead of assuming compiler correlation. (#321 <https://github.com/ros2/rcutils/issues/321>)
  * Improve shared library relative paths handling (#320 <https://github.com/ros2/rcutils/issues/320>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rcutils (3.0.0-1jammy) jammy; urgency=high

  * Update rcutils_calculate_directory_size() to support recursion (#306 <https://github.com/ros2/rcutils/issues/306>)
  * Updating QD to QL 1 (#317 <https://github.com/ros2/rcutils/issues/317>)
  * Address unused return values found in scan-build (#316 <https://github.com/ros2/rcutils/issues/316>)
  * use one copy for continuous area instead of loop copy (#312 <https://github.com/ros2/rcutils/issues/312>)
  * use a better way to check whether string is empty (#315 <https://github.com/ros2/rcutils/issues/315>)
  * Use helper funciton to copy string (#314 <https://github.com/ros2/rcutils/issues/314>)
  * Disable a Windows platform warning. (#311 <https://github.com/ros2/rcutils/issues/311>)
  * Fix format of code description on document (#313 <https://github.com/ros2/rcutils/issues/313>)
  * Make sure to check the return values of rcutils APIs. (#302 <https://github.com/ros2/rcutils/issues/302>)
  * Contributors: Barry Xu, Chen Lihui, Chris Lalancette, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000


