## ros-humble-rcutils 5.1.6

=== debian/changelog ===
ros-humble-rcutils (5.1.6-1bookworm) bookworm; urgency=high

  * update cast to modern style (#418 <https://github.com/ros2/rcutils/issues/418>) (#462 <https://github.com/ros2/rcutils/issues/462>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rcutils (5.1.5-1bookworm) bookworm; urgency=high

  * Fix if(TARGET ...) condition for test (#447 <https://github.com/ros2/rcutils/issues/447>) (#448 <https://github.com/ros2/rcutils/issues/448>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rcutils (5.1.4-1bookworm) bookworm; urgency=high

  * memmove for overlaping memory (#434 <https://github.com/ros2/rcutils/issues/434>) (#437 <https://github.com/ros2/rcutils/issues/437>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rcutils (5.1.3-1bookworm) bookworm; urgency=high

  * avoid unnecessary copy for rcutils_char_array_vsprintf. (#412 <https://github.com/ros2/rcutils/issues/412>) (#413 <https://github.com/ros2/rcutils/issues/413>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rcutils (5.1.2-1bookworm) bookworm; urgency=high

  * Change syntax __VAR_ARGS__ to __VA_ARGS__ (#376 <https://github.com/ros2/rcutils/issues/376>) (#377 <https://github.com/ros2/rcutils/issues/377>)
  * Clarify duration arg description in logging macros (#359 <https://github.com/ros2/rcutils/issues/359>) (#360 <https://github.com/ros2/rcutils/issues/360>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rcutils (5.1.1-1bookworm) bookworm; urgency=high

  * Update launch test for change related to enviroment variables in launch (#354 <https://github.com/ros2/rcutils/issues/354>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-rcutils (5.1.0-1bookworm) bookworm; urgency=high

  * Remove dst_size from strlen usage (#353 <https://github.com/ros2/rcutils/issues/353>)
  * Install headers to include${PROJECT_NAME} (#351 <https://github.com/ros2/rcutils/issues/351>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rcutils (5.0.1-1bookworm) bookworm; urgency=high

  * Use static_cast instead of C-style cast (#349 <https://github.com/ros2/rcutils/issues/349>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rcutils (5.0.0-1bookworm) bookworm; urgency=high

  * Fixing up documentation build when using rosdoc2 (#344 <https://github.com/ros2/rcutils/issues/344>)
  * Stop double-defining structs. (#333 <https://github.com/ros2/rcutils/issues/333>)
  * Use FindPython3 explicitly instead of FindPythonInterp implicitly (#345 <https://github.com/ros2/rcutils/issues/345>)
  * Fix build on Android (#342 <https://github.com/ros2/rcutils/issues/342>)
  * Deprecate get_env.h and move content to env.{h,c} (#340 <https://github.com/ros2/rcutils/issues/340>)
  * Contributors: Chris Lalancette, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 31 Oct 2021 16:00:00 -0000

ros-humble-rcutils (4.0.2-1bookworm) bookworm; urgency=high

  * Declare dependency on libatomic (#338 <https://github.com/ros2/rcutils/issues/338>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-rcutils (4.0.1-1bookworm) bookworm; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#335 <https://github.com/ros2/rcutils/issues/335>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rcutils (4.0.0-1bookworm) bookworm; urgency=high

  * Quiet down a warning in release mode. (#334 <https://github.com/ros2/rcutils/issues/334>)
  * Make the logging separate char an implementation detail. (#332 <https://github.com/ros2/rcutils/issues/332>)
  * Performance tests demo (#288 <https://github.com/ros2/rcutils/issues/288>)
  * Remove references of __xstat (#330 <https://github.com/ros2/rcutils/issues/330>)
  * Update the documentation to be more consistent. (#331 <https://github.com/ros2/rcutils/issues/331>)
  * Shorten some excessively long lines of CMake (#328 <https://github.com/ros2/rcutils/issues/328>)
  * qnx-support: include sys/link.h & avoid using dlinfo (#327 <https://github.com/ros2/rcutils/issues/327>)
  * QNX uses XSI-compliant (#326 <https://github.com/ros2/rcutils/issues/326>)
  * Contributors: Ahmed Sobhy, Chris Lalancette, Homalozoa X, Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rcutils (3.1.0-1bookworm) bookworm; urgency=high

  * Add an API for directory iteration (#323 <https://github.com/ros2/rcutils/issues/323>)
  * Fix a leak during error handling in dir size calculation (#324 <https://github.com/ros2/rcutils/issues/324>)
  * Fix rcutils_shared_library_t path on Windows. (#322 <https://github.com/ros2/rcutils/issues/322>)
  * Check linker flags instead of assuming compiler correlation. (#321 <https://github.com/ros2/rcutils/issues/321>)
  * Improve shared library relative paths handling (#320 <https://github.com/ros2/rcutils/issues/320>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rcutils (3.0.0-1bookworm) bookworm; urgency=high


